/*
 *  charlayout.h - Create a layout for a character-based renderer.
 *                 This file is part of the FreeLCD package.
 *
 *  $Id: charlayout.h,v 1.3 2003/11/05 21:50:56 unicorn Exp $
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation; either version 2 of the License, or (at your
 *  option) any later version.
 * 
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *  MA  02111-1307  USA
 *
 *  Copyright (c) 2002, 2003, Jeroen van den Berg <unicorn@hippie.nu>
 */


#ifndef _CHARLAYOUT_H
#define _CHARLAYOUT_H

#include <common/xmlt.h>

typedef struct
{
  int x;
  int y;
  int width;
  int height;
  char *utf8_data;
  char is_label;
}
cl_layout_elem;

typedef struct
{
  size_t layout_data_size;
  cl_layout_elem *layout_data;
}
cl_layout;


cl_layout *
cl_make_layout (xml_node *layout, int width, int height);

void
cl_free_layout (cl_layout *layout);

#endif /* Multiple include guard */
